This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853329 - (CVE-2011-1398) CVE-2011-1398 PHP: sapi_header_op() %0D sequence handling security bypass
CVE-2011-1398 PHP: sapi_header_op() %0D sequence handling security bypass
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111106,repor...
: Security
Depends On: 865986 958614 1037490 1037491
Blocks: 854174 855229 952520
  Show dependency treegraph
 
Reported: 2012-08-31 01:15 EDT by Kurt Seifried
Modified: 2015-05-18 16:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 05:33:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-08-31 01:15:13 EDT
This was originally reported by rui_hirokawa@yahoo.co.jp to the PHP project.

The CVE database entry reports:

The sapi_header_op function in main/SAPI.c in PHP before 5.3.11 does
not properly handle %0D sequences (aka carriage return characters),
which allows remote attackers to bypass an HTTP response-splitting
protection mechanism via a crafted URL, related to improper
interaction between the PHP header function and certain browsers, as
demonstrated by Internet Explorer and Google Chrome.

Upstream bug and fix:

https://bugs.php.net/bug.php?id=60227
https://bugs.php.net/patch-display.php?bug_id=60227&patch=SAPI.diff&revision=latest
http://svn.php.net/viewvc/php/php-src/branches/PHP_5_4/main/SAPI.c?r1=323986&r2=323985&pathrev=323986


External references:

(none)
Comment 8 errata-xmlrpc 2013-02-21 05:14:26 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0514 https://rhn.redhat.com/errata/RHSA-2013-0514.html
Comment 13 errata-xmlrpc 2013-09-30 18:12:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1307 https://rhn.redhat.com/errata/RHSA-2013-1307.html
Comment 15 Huzaifa S. Sidhpurwala 2013-10-03 06:58:16 EDT
Statement:

(none)
Comment 18 errata-xmlrpc 2013-12-10 21:25:58 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1814 https://rhn.redhat.com/errata/RHSA-2013-1814.html

Note You need to log in before you can comment on or make changes to this bug.